clang 8.0.0

Classes | Namespaces | Enumerations | Functions
CGValue.h File Reference
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Type.h"`
`#include "llvm/IR/Value.h"`
`#include "llvm/IR/Type.h"`
`#include "Address.h"`
`#include "CodeGenTBAA.h"`
Include dependency graph for CGValue.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::CodeGen::RValue
| RValue - This trivial value class is used to represent the result of an expression that is evaluated. More...
class | clang::CodeGen::LValueBaseInfo
class | clang::CodeGen::LValue
| LValue - This represents an lvalue references. More...
class | clang::CodeGen::AggValueSlot
| An aggregate value slot. More...

## Namespaces
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.
| clang
| Dataflow Directional Tag Classes.
| clang::CodeGen

## Enumerations
enum | clang::CodeGen::ARCPreciseLifetime_t { clang::CodeGen::ARCImpreciseLifetime, clang::CodeGen::ARCPreciseLifetime }
| Does an ARC strong l-value have precise lifetime? More...
enum | clang::CodeGen::AlignmentSource { clang::CodeGen::AlignmentSource::Decl, clang::CodeGen::AlignmentSource::AttributedType, clang::CodeGen::AlignmentSource::Type }
| The source of the alignment of an l-value; an expression of confidence in the alignment actually matching the estimate. More...

## Functions
static AlignmentSource | clang::CodeGen::getFieldAlignmentSource (AlignmentSource Source)
| Given that the base address has the given alignment source, what's our confidence in the alignment of the field? More...